%define name                    dvd+rw-tools
%define version			7.0
%define release                 %mkrel 5

Summary:	Tools for burning on DVD+RW compliant burner
Group:          Archiving/Cd burning
Name: 		%{name}
Version:	%{version}
Release:        %{release}
License:	GPL+
Source0:	http://fy.chalmers.se/~appro/linux/DVD+RW/tools/dvd+rw-tools-%{version}.tar.bz2
Source1:	dvd+rw-mediainfo.1
Patch0:		dvd+rw-tools-7.0-cdrkit.patch
# Fixes incompatible pointer type errors during build. From 
# http://trac.opensde.org/ticket/8 - AdamW 2007/09
Patch1:		dvd+rw-tools-7.0-pointer.patch
Patch2:		dvd+rw-tools-limits.h_fix.diff
URL:		http://fy.chalmers.se/~appro/linux/DVD+RW/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	cdrkit-genisoimage

%description 
Even though a modified kernel can let you put for example an ext2 file
system on DVD+RW, it's probably not very practical, because you most
likely want to access the data on an arbitrary computer. Or in other
words you most likely want ISO9660. The trouble is that you might as
well want to add data now and then. And what options do you have in
the lack of multiple sessions (no, DVD+RW has no notion of multiple
sessions)? Complete re-mastering which takes more and more time as
data set grows? Well, yes, unless you employ growisofs! Growisofs
provides the way to both lay down and grow an ISO9660 file system on
(as well as to burn an arbitrary pre-mastered image to) all supported
optical media.

%prep

%setup -q
%patch0 -p1
%patch1 -p1 -b .pointer
%patch2 -p1

%build

%make
%make rpl8
%make btcflash

%install

make install prefix=$RPM_BUILD_ROOT%{_prefix}
install -d $RPM_BUILD_ROOT%{_sbindir}
install -m755 rpl8 $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf %buildroot

%files
%defattr(-, root, root) 
%doc index.html
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man1/*



%changelog
* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 7.0-5mdv2008.1
+ Revision: 179827
- added P2 to make it build (thanks erwan velu)
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 19 2007 Adam Williamson <awilliamson@mandriva.com> 7.0-3mdv2008.0
+ Revision: 90203
- fix the patch
- add dvd+rw-tools-7.0-pointer.patch to fix a pointer type error during build. From OpenSDE trac
- rebuild for 2008
- improved description
- new license policy


* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 7.0-2mdv2007.0
+ Revision: 106600
- use cdrkit

* Sun Dec 03 2006 Emmanuel Andry <eandry@mandriva.org> 7.0-1mdv2007.1
+ Revision: 90163
- New version 7.0
  %%mkrel
- Import dvd+rw-tools

* Wed Feb 15 2006 Warly <warly@mandriva.com> 6.1-1mdk
- new version
   - Initial DVD+RW Double Layer support
   - fix for DVD+R recordings in Samsung TS-H542A;
   - DVD-R Dual Layer DAO and Incremental support;

* Mon Aug 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 5.21.4.10.8-2mdk
- Add missing files (manpages and programs)
- Drop dependency on cdrecord, only mkisofs is needed
- Add manpage for dvd+rw-media-info from Debian

* Mon Aug 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 5.21.4.10.8-1mdk
- Release 5.21.4.10.8 (ie linux 2.6.8 friendly version)

* Sat Jul 31 2004 Laurent Culioli <laurent@mandrake.org> 5.20.4.10.8-1mdk
- new version ( fix speed pb with k3b )

* Wed Jun 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 5.18.4.8.6-2mdk
- Rebuild

* Thu Apr 29 2004 Warly <warly@mandrakesoft.com> 5.18.4.8.6-1mdk
- new version

* Thu Feb 26 2004 Warly <warly@mandrakesoft.com> 5.17.4.8.6-1mdk
- new version
- seems to fix burning under 2.6 ATA interface

